%define major 0
%define libname %mklibname %name %major
%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif

Summary:	Next generation Beep Media Player
Name:		bmpx
Version:	0.21.0
Release:	%mkrel 2
License:	GPL
Group:		Sound
URL:		http://beep-media-player.org/
Source0:	http://files.beep-media-player.org/releases/0.21/%{name}-%{version}.tar.bz2
Patch: bmpx-0.21.0-de.patch.bz2
Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
Requires:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-gnomevfs
Requires:	pygtk2.0
Requires:	dbus-python
Requires:	dbus-x11
BuildRequires:	glib2-devel >= 2.10.0
BuildRequires:	hal-devel
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libglademm2.4-devel
BuildRequires:	libboost-devel
BuildRequires:	startup-notification-devel
BuildRequires:	taglib-devel
BuildRequires:	gamin-devel
BuildRequires:	ImageMagick
BuildRequires:	curl-devel
BuildRequires:	neon0.26-devel
BuildRequires:	libmusicbrainz-devel
BuildRequires:	libalsa-devel
BuildRequires:	libnotify-devel
BuildRequires:	sqlite3-devel
BuildRequires:	sidplay-devel
BuildRequires:  gaim-devel
BuildRequires:	flex bison
BuildRequires:	desktop-file-utils
%if %build_plf
BuildRequires:	libmpeg4ip-devel
%endif
Requires(post): desktop-file-utils shared-mime-info
Requires(postun): desktop-file-utils shared-mime-info
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
BMPx is the codename for the next-generation BMP. In general, users of
BMP should be familiar with BMPx right from the beginning, but there
will be new features and usage semantics changes as well. The code has
been rewritten ~95% from scratch, including the skinning engine and
the playback backend. A few utility functions and miscellaneous stuff
has been taken from the old codebase.

%package -n	%libname
Summary:	Library for BMPX
Group:		System/Libraries

%description -n	%libname
Library for BMPX.

%package -n	%libname-devel
Summary:	Devel library for BMPX
Group:		Development/C
Provides:	lib%name-devel = %version-%release
Requires:	%libname = %version

%description -n	%libname-devel
Devel library for BMPX.

%prep

%setup -q
%patch -p1

%build
%configure2_5x --enable-hal --enable-amazon --enable-sid --enable-gaim \
%if %build_plf
 --enable-mp4v2
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
mv %buildroot%_datadir/locale/th_TH %buildroot%_datadir/locale/th
%find_lang %name
mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%name):command=" %{_bindir}/beep-media-player-2"\
 icon="%name.png" needs="X11" section="Multimedia/Sound"\
 mimetypes="audio/x-mp3;audio/x-ogg;application/x-ogg;audio/x-mpegurl;audio/x-wav"\
 title="BMPx" longtitle="Play music" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/bmp-2.0.desktop


mkdir -p %{buildroot}/{%{_liconsdir}/,%_iconsdir,%_miconsdir}
ln -s %_datadir/icons/hicolor/48x48/apps/%name.png %{buildroot}/%{_liconsdir}/
convert -scale 32 icons/%name.png %buildroot%_iconsdir/%name.png
convert -scale 16 icons/%name.png %buildroot%_miconsdir/%name.png

#gw useless:
rm -f %buildroot%_libdir/%name/plugins/*/*.la \
      %buildroot%_libdir/%name/plugins/*/*/*.la

# why does this happen on seggie?
rm -f %{buildroot}%{_datadir}/locale/locale.alias

# broken symlink
ln -sf beep-media-player-2 %buildroot%_bindir/bmp2

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%post
%update_menus
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database

%postun
%clean_menus
%clean_desktop_database
%clean_icon_cache hicolor
%clean_mime_database

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%_bindir/bmp2
%_bindir/beep-media-player-2
%_bindir/bmp-enqueue-files-2.0
%_bindir/bmp-enqueue-uris-2.0
%_bindir/bmp-play-files-2.0
%_datadir/dbus-1/services/*
%_datadir/%name
%_datadir/applications/bmp-2.0.desktop
%_datadir/applications/bmp-enqueue-2.0.desktop
%_datadir/applications/bmp-play-2.0.desktop
%_datadir/icons/hicolor/48x48/apps/%name.png
%_datadir/icons/hicolor/48x48/mimetypes/*
%_mandir/man1/beep-media-player-2.1*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%_libdir/bmpx/
%_libdir/beep-media-player-2-bin
%_datadir/mime/packages/bmp-2.0.xml

%_includedir/bmp-2.0/
%_libdir/pkgconfig/*.pc

%changelog
* Tue Aug 22 2006 Gtz Waschk <waschk@mandriva.org> 0.21.0-2mdv2007.0
- fix German translation
- rebuild for new cairomm

* Fri Aug 11 2006 Gtz Waschk <waschk@mandriva.org> 0.21.0-1mdv2007.0
- enable gaim support
- update file list
- fix buildrequires
- New release 0.21.0

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.20.3-3mdv2007.0
- Rebuild with latest dbus

* Sun Jul 30 2006 Götz Waschk <waschk@mandriva.org> 0.20.3-1mdv2007.0
- Rebuild

* Fri Jul 21 2006 Gtz Waschk <waschk@mandriva.org> 0.20.3-1mdv2007.0
- fix th locale
- build with neon 0.26
- new source URL
- New release 0.20.3

* Tue Jul 11 2006 Gtz Waschk <waschk@mandriva.org> 0.20.2-2mdv2007.0
- depend on libneon 0.25
- support mp4 (disabled by default)
- enable sidplay support

* Mon Jul 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.20.2-1mdv2007.0
- 0.20.2
- make it build against latest neon

* Fri Jul  7 2006 Gtz Waschk <waschk@mandriva.org> 0.20-1.beta1.1mdv2007.0
- update file list
- new version

* Mon Jul  3 2006 Gtz Waschk <waschk@mandriva.org> 0.20-0.pre2.3mdv2007.0
- fix buildrequires

* Fri Jun 23 2006 Gtz Waschk <waschk@mandriva.org> 0.20-0.pre2.2mdv2007.0
- fix buildrequires

* Thu Jun 22 2006 Gtz Waschk <waschk@mandriva.org> 0.20-0.pre2.1mdv2007.0
- handle mime stuff
- new version

* Thu Jun 22 2006 Gtz Waschk <waschk@mandriva.org> 0.20-0.pre1.2mdv2007.0
- fix buildrequires

* Sun Jun 18 2006 Gtz Waschk <waschk@mandriva.org> 0.20-0.pre1.1mdv2007.0
- drop library package
- update desktop database
- enable hal and amazon support
- xdg menu
- new version

* Sat May 06 2006 Olivier Blin <oblin@mandriva.com> 0.14.4-1mdk
- New release 0.14.4

* Thu May  4 2006 Gtz Waschk <waschk@mandriva.org> 0.14.4-1mdk
- update file list
- New release 0.14.4

* Mon Apr 10 2006 Gtz Waschk <waschk@mandriva.org> 0.14.3-2mdk
- fix deps

* Mon Apr 10 2006 Gtz Waschk <waschk@mandriva.org> 0.14.3-1mdk
- New release 0.14.3
- update file list
- bump deps

* Fri Apr 07 2006 Götz Waschk <waschk@mandriva.org> 0.13.1-2mdk
- Rebuild

* Tue Mar  7 2006 Gtz Waschk <waschk@mandriva.org> 0.13.1-1mdk
- drop patch
- New release 0.13.1

* Mon Feb 13 2006 Gtz Waschk <waschk@mandriva.org> 0.13-2mdk
- fix buildrequires

* Sat Feb 11 2006 Olivier Blin <oblin@mandriva.com> 0.13-1mdk
- 0.13
- drop Patch0 (upstream don't use this DBus macro anymore)
- BuildRequires neon0.25-devel
- Patch0: fix 'for' loop initial declaration used outside C99 mode
- update files list

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12.9-1.0.1mdk
- Patch0: dbus 0.60 support

* Mon Jan  2 2006 Gtz Waschk <waschk@mandriva.org> 0.12.9-3mdk
- fix buildrequires

* Wed Nov 30 2005 Olivier Blin <oblin@mandriva.com> 0.12.9-2mdk
- build with -fPIC

* Wed Nov 23 2005 Olivier Blin <oblin@mandriva.com> 0.12.9-1mdk
- New release 0.12.9
- update files list

* Mon Nov 21 2005 Olivier Blin <oblin@mandriva.com> 0.12.8-1mdk
- New release 0.12.8
- require dbus-x11 (#19820)

* Wed Nov 16 2005 Olivier Blin <oblin@mandriva.com> 0.12.7-1mdk
- New release 0.12.7
- update files list

* Mon Nov 14 2005 Olivier Blin <oblin@mandriva.com> 0.12.6.1-1mdk
- New release 0.12.6.1

* Mon Nov 14 2005 Olivier Blin <oblin@mandriva.com> 0.12.6-1mdk
- New release 0.12.6

* Sun Nov 13 2005 Olivier Blin <oblin@mandriva.com> 0.12.5-1mdk
- New release 0.12.5
- update url again 
- update files list

* Fri Nov 11 2005 Götz Waschk <waschk@mandriva.org> 0.12.4-1mdk
- New release 0.12.4

* Wed Nov  9 2005 Olivier Blin <oblin@mandriva.com> 0.12.3-1mdk
- New release 0.12.3
- update url
- update file list
- remove html gtk-doc from file list (not built anymore)

* Mon Oct 31 2005 Gtz Waschk <waschk@mandriva.org> 0.12.2-1mdk
- update deps
- update file list
- New release 0.12.2

* Thu Oct 27 2005 Olivier Blin <oblin@mandriva.com> 0.12.1-2mdk
- enable D-Bus, and package remote control programs

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdk
- New release 0.12.1

* Sun Oct 23 2005 Gtz Waschk <waschk@mandriva.org> 0.12-1mdk
- new version

* Sat Oct 22 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC12.1mdk
- 0.12_RC12

* Mon Oct 17 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC11.1mdk
- 0.12_RC11

* Fri Oct 14 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC10.1mdk
- 0.12_RC10

* Wed Oct 12 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC9.1mdk
- 0.12-0.RC9

* Tue Oct 11 2005 Gtz Waschk <waschk@mandriva.org> 0.12-0.RC8.1mdk
- move plugins back to main package
- add devel package
- new version

* Mon Oct 10 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC7.1mdk
- 0.12-0.RC7

* Sun Oct  9 2005 Gtz Waschk <waschk@mandriva.org> 0.12-0.RC6.1mdk
- new version

* Sat Oct  8 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC5.1mdk
- 0.12-0.RC5
- move flow plugins in lib package

* Fri Oct  7 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC4.1mdk
- 0.12-0.RC4
- remove Patch0 (fixed upstream)
- include new flow plugins

* Wed Oct  5 2005 Olivier Blin <oblin@mandriva.com> 0.12-0.RC3.1mdk
- 0.12-0.RC3
- enhance pre release support in spec files
- Patch0: fix build when D-Bus isn't enabled
- update URL

* Mon Oct  3 2005 Gtz Waschk <waschk@mandriva.org> 0.12-0.RC1.1mdk
- new version

* Sat Oct 01 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.11.5.1-2mdk
- fix duplicated descriptions & summaries

* Fri Sep 30 2005 Götz Waschk <waschk@mandriva.org> 0.11.5.1-1mdk
- add library package
- New release 0.11.5.1

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.11.5-2mdk
- Fix BuildRequires

* Fri Sep 30 2005 Götz Waschk <waschk@mandriva.org> 0.11.5-1mdk
- New release 0.11.5

* Wed Sep 28 2005 Götz Waschk <waschk@mandriva.org> 0.11.4-1mdk
- remove bmpx-remote
- New release 0.11.4

* Fri Sep 23 2005 Götz Waschk <waschk@mandriva.org> 0.11.3-1mdk
- New release 0.11.3

* Wed Sep 21 2005 Götz Waschk <waschk@mandriva.org> 0.11.2-1mdk
- initial package
